Index: approxBasisSollya/read-lines-from-file.h
===================================================================
--- approxBasisSollya/read-lines-from-file.h	(revision 303)
+++ approxBasisSollya/read-lines-from-file.h	(revision 304)
@@ -21,7 +21,7 @@
   struct rlff_readLines
   {
     unsigned int linesNum;
-    unsigned int linesLenght;
+    unsigned int linesLength;
     char* lines; 
   };
 
Index: approxBasisSollya/Makefile
===================================================================
--- approxBasisSollya/Makefile	(revision 303)
+++ approxBasisSollya/Makefile	(revision 304)
@@ -6,10 +6,7 @@
 INCS         = approxbaso.h read-lines-from-file.h
 SOURCES      = $(INCS) approxbaso.c readlines-from-file.c
 
-TEST_DRIVER  = # CUnit test driver binary program
 TEST_DIR     = test
-TEST_SOURCES = $(TEST_DIR)/$(TEST_DRIVER).c \
-               # Add the suites definition sources
 
 ALL_TARGETS = $(OBJS)
 
@@ -54,23 +51,22 @@
 .PRECIOUS: $(OBJS)
 
 all: $(ALL_TARGETS)
-test: $(TEST_DRIVER)
 
+test:
+	@$(MAKE) -C $(TEST_DIR) test
+
 % : %.o $(OBJS)
 	$(CC) $(CFLAGS) -o $@ $< $(OBJS) $(LDLIB)
 
 %.o : %.c $(INCS)
 	$(CC) $(CFLAGS) -c -o $@ $<
 
-$(TEST_DRIVER) : 
-	make -C test
-	cp test/$(TEST_DRIVER) .
 # -------------------------------------------------------------------------
 
 .PHONY: clean scratch
 
 clean:
-	@rm -f $(ALL_TARGETS) $(TEST_DRIVER)
+	@rm -f $(ALL_TARGETS) 
 	@rm -f *.o a.out $(OBJS)
 	@rm -f *~ *% #*#
 	@make -C $(TEST_DIR) clean
@@ -79,5 +75,5 @@
 	rm -f $(SCRATCH_ALL)
 
 # Change the documentation configuration and path accordingly.
-documentation: pobyso.doxyconf $(SOURCES)
+documentation: approxbaso.doxyconf $(SOURCES)
 	doxygen approxbaso.doxyconf
Index: approxBasisSollya/test/Makefile
===================================================================
--- approxBasisSollya/test/Makefile	(revision 303)
+++ approxBasisSollya/test/Makefile	(revision 304)
@@ -1,74 +1,7 @@
-CC           = gcc
-CFLAGS       = -Wall -g  
-LDLIB        = #-Wl,--verbose
+# The Makefile only switches to lower level test Makefiles.
 
-OBJS         = 
-INCS         = 
-SOURCES      = $(INCS)
+default: test
 
-TEST_DRIVER  = # CUnit test driver binary program
-
-ALL_TARGETS = 
-
-SCRATCH_PRG := $(patsubst %.c,%,$(wildcard *.c))
-SCRATCH_ALL := $(SCRATCH_PRG)
-
-LAST_ARCH_FILE = lastArch.txt
-
-ARCH := $(shell uname -m)
-
-DUMMY := $(shell touch $(LAST_ARCH_FILE))
-
-LAST_ARCH := $(shell cat $(LAST_ARCH_FILE))
-
-ifneq ($(LAST_ARCH), $(ARCH))
-  DUMMY := $(shell echo $(ARCH) > $(LAST_ARCH_FILE))
-  DUMMY := $(shell $(MAKE) clean) 
-endif
-
-ifeq (x86_64, $(ARCH))
-  CFLAGS := -m64 $(CFLAGS)
-  # LDLIB :=
-endif
-
-ifeq (ppc64, $(ARCH))
-  CFLAGS := -m64 $(CFLAGS)
-  # LDLIB :=
-endif
-
-ifeq (i686, $(ARCH))
-  # CFLAGS := $(CFLAGS)
-  # LDLIB :=
-endif
-
-# -------------------------------------------------------------------------
-
-default: all
-# Remove all implicit (suffix) rules. No need to remove pattern rules.
-# Just redefine them.
-.SUFFIXES:
-# Keep the OBJS we want to link with user code.
-.PRECIOUS: $(OBJS)
-
-all: $(ALL_TARGETS)
-test: $(TEST_DRIVER)
-
-% : %.o $(OBJS)
-	$(CC) $(CFLAGS) -o $@ $< $(OBJS) $(LDLIB)
-
-%.o : %.c $(INCS)
-	$(CC) $(CFLAGS) -c -o $@ $<
-
-$(TEST_DRIVER) : 
-	make -C test
-	cp test/$(TEST_DRIVER) .
-# -------------------------------------------------------------------------
-
-.PHONY: clean scratch
-
-clean:
-	@rm -f $(ALL_TARGETS) $(TEST_DRIVER)
-	@rm -f *.o a.out $(OBJS)
-	@rm -f *~ *% #*#
-
-
+test:
+	@$(MAKE) -C test-approxbaso test
+	@$(MAKE) -C test-read-lines test
Index: approxBasisSollya/read-lines-from-file.c
===================================================================
--- approxBasisSollya/read-lines-from-file.c	(revision 303)
+++ approxBasisSollya/read-lines-from-file.c	(revision 304)
@@ -80,7 +80,7 @@
   {
     #ifndef NDEBUG
     fprintf(stderr,
-            "\n%s: requested line inted (%d) is beyhond\n",
+            "\n%s: requested line (%d) is beyond\n",
             __func__,
             lineIndex);
     fprintf(stderr,
@@ -89,7 +89,7 @@
     #endif
     return NULL;
   }
-  return linesRead->lines + lineIndex * linesRead->linesLenght;
+  return linesRead->lines + lineIndex * linesRead->linesLength;
 } /* End rlff_get_line_at. */
 
 /** @see read-lines-from-file.h#rlff_print_lines */
@@ -189,12 +189,12 @@
   }
 
   linesRead->linesNum     = rlffLinesCount;
-  linesRead->linesLenght  = rlffLinesLength;
+  linesRead->linesLength  = rlffLinesLength;
   if ((rlffLinesCount == 0) || (rlffLinesLength == 0))
   {
     /* The file is somehow empty: not an actual error. */
     linesRead->linesNum     = 0;
-    linesRead->linesLenght  = 0;
+    linesRead->linesLength  = 0;
     linesRead->lines        = NULL;
     return linesRead;
   }
@@ -279,7 +279,7 @@
           break;
         }
       } /* End while. */
-      bufferCurrentLinePtr += linesRead->linesLenght;
+      bufferCurrentLinePtr += linesRead->linesLength;
       bufferCurrentCharPtr = bufferCurrentLinePtr;
     } /* End c == '\n'. */
   } /* End main while; ancillary*/
